Skip to content

Return workspace settings such as locale and time zone.

GET
/api/workspace/context
curl --request GET \
--url https://example.com/api/workspace/context
trackOpen
boolean

OK

Media typeapplication/json
object
Data

Workspace settings available before authentication.

object
DisplayName

Workspace display name.

string
nullable
Locale

Workspace locale code.

string
nullable
TimeZone

Workspace time zone identifier.

string
nullable
RegionCode

Workspace routing region code.

string
nullable
EnabledFeatures

Enabled deployment features.

Array<string>
nullable
GoogleMapsApiKey

Optional Google Maps browser API key (can be null when maps are not supported).

string
nullable
BusinessLogicAuthoringMode

Effective workspace business-logic authoring mode.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}